.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptEmitSignal.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptEmitSignal:

VisualScriptEmitSignal
======================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Emits a specified signal.

Member Variables
----------------

  .. _class_VisualScriptEmitSignal_signal:

- :ref:`String<class_string>` **signal** - The signal to emit.


Description
-----------

Emits a specified signal when it is executed.

**Input Ports:**

- Sequence: ``emit``

**Output Ports:**

- Sequence

